/**
 * ActClassSupply.java
 *
 * File generated from the medication::ActClassSupply uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassSupply.
 *
 * 
 */

@XmlType(name = "ActClassSupply")
@XmlEnum
@XmlRootElement(name = "ActClassSupply")
public enum ActClassSupply {
	@XmlEnumValue("SPLY")
	SPLY("SPLY"),
	@XmlEnumValue("DIET")
	DIET("DIET");
	
	private final String value;

    ActClassSupply(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassSupply fromValue(String v) {
        for (ActClassSupply c: ActClassSupply.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}